> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connection Details

> Returns a single connections object using the specified key.



## OpenAPI

````yaml /26.3/en/rest-api/openapi-v1.json get /connections('{Name}')
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.3.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /connections('{Name}'):
    get:
      tags:
        - connections
      summary: Get Connection Details
      description: Returns a single connections object using the specified key.
      operationId: getconnections
      parameters:
        - name: Name
          in: path
          description: The key Name
          required: true
          schema:
            type: string
        - name: $select
          in: query
          schema:
            type: string
          description: Select structural property
      responses:
        '200':
          description: connections response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connections'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    connections:
      type: object
      properties:
        Name:
          description: The name of the data connection.
          type: string
        WorkspaceId:
          description: The id of the Workspace.
          type: string
        ProviderName:
          description: The name of the ADO.NET provider for the data connection.
          type: string
        ProviderClass:
          description: The class name of the ADO.NET provider for the data connection.
          type: string
        ConnectionString:
          description: The connection string for the data connection.
          type: string
        LoadingError:
          description: The error message in loading current provider.
          type: string
        CreationTime:
          description: The time of creation.
          type: string
        RowVersion:
          description: The version number of connection.
          type: integer
          format: int64
        LastModified:
          description: The last modified.
          type: string
        ConnectionState:
          description: The connection state.
          type: string
        LastTested:
          description: The last time the connection was tested.
          type: string
        Verbosity:
          description: >-
            The verbosity of the connection log, where 0 represents None, 1
            represents Error, 2 represents Info, 3 represents Transfer, and 5
            represents Verbose.
          type: string
        UseCDataCallbackUrl:
          description: >-
            The Callback URL used, with 1 represents"Use" and 0 represents "Do
            not use".
          type: string
        UseSyncProxy:
          description: >-
            The Sync Proxy Settings used, with true represents"Use" and false
            represents "Do not use".
          type: boolean
        MetadataRefreshInterval:
          description: >-
            The refresh interval of metadata cache, -1 equals Never, 0 equals
            Start of Job, 3600 equals Hourly and 86400 equals Daily.
          type: string
        LicenseState:
          description: Whether the connection is valid or invalid based on the license.
          type: string
        LicenseMessage:
          description: Details for why the connection is invalid.
          type: string
        CanUpdate:
          description: Whether the current entity can be updated by current user.
          type: string
        CanRemove:
          description: Whether the current entity can be removed by current user.
          type: string
        DestinationSupported:
          description: Whether the current connection supports destination.
          type: boolean
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````